Subject: Re: [PATCH v2 0/5] completion: remove hardcoded config variable names

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Feb 2024 14:08:07 -0800

"Philippe Blain via GitGitGadget" <[email-masked]> writes:

> Changes since v1:
>
>  * Corrected my email in PATCH 2/5 (sorry for the noise)
>
> v1: This series removes hardcoded config variable names in the
> __git_complete_config_variable_name function, partly by adding a new mode to
> 'git help'. It also adds completion for 'submodule.*' config variables,
> which were previously missing.
>
> I think it makes sense to do that in the same series since it's closely
> related, and splitting it would result in textual conflicts between both
> series if one does not build on top of the other, but I'm open to other
> suggestions.
>
> Thanks,

Neither rounds of this series unfortunately got any review.
Comments from anybody interested in helping to improve completion
scripts?

Thanks.